Source: cyrus-imapd
Section: mail
Priority: optional
Maintainer: Debian Cyrus Team <team+cyrus@tracker.debian.org>
Uploaders: Henrique de Moraes Holschuh <hmh@debian.org>,
           Ondřej Surý <ondrej@debian.org>,
           Anthony Prades <toony.debian@chezouam.net>,
           Xavier Guimard <yadd@debian.org>
Standards-Version: 4.3.0
Build-Depends: bison,
               comerr-dev,
               debhelper-compat (= 12),
               flex,
               ghostscript,
               groff,
               libdb-dev,
               libdkim-dev,
               libical-dev (>= 2.0.0),
               libjansson-dev,
               libclamav-dev,
               libkrb5-dev,
               libkvm-dev [kfreebsd-any],
               libldap2-dev,
               libopendkim-dev,
               libpam0g-dev,
               libpcre3-dev,
               libsasl2-dev (>= 2.1.9),
               libsasl2-modules,
               libsnmp-dev,
               libsqlite3-dev,
               libssl-dev,
               libtool (>= 2.2~),
               libwrap0-dev,
               libxapian-dev,
               libxml2-dev,
               libzephyr-dev,
               perl,
               pkg-config,
               po-debconf,
               sqlite3,
               transfig,
               unicode-data,
               vim-common,
               xutils-dev
Vcs-Git: https://salsa.debian.org/debian/cyrus-imapd.git
Vcs-Browser: https://salsa.debian.org/debian/cyrus-imapd
Homepage: https://www.cyrusimap.org/

Package: cyrus-common
Architecture: any
Section: mail
Pre-Depends: dpkg (>= 1.17.14~),
             ${misc:Pre-Depends}
Depends: adduser,
         db-upgrade-util,
         db-util,
         e2fsprogs,
         default-mta | mail-transport-agent,
         gawk,
         libsasl2-modules,
         lsb-base,
         netbase (>= 4.07),
         ${misc:Depends},
         ${perl:Depends},
         ${shlibs:Depends}
Recommends: cyrus-imapd | cyrus-pop3d | cyrus-murder | cyrus-nntpd | cyrus-admin | cyrus-caldav
Suggests: apt-listchanges (>= 2.35),
          cyrus-admin,
          cyrus-caldav,
          cyrus-clients,
          cyrus-doc,
          cyrus-imapd,
          cyrus-murder,
          cyrus-nntpd,
          cyrus-pop3d,
          cyrus-replication,
          sasl2-bin
Description: Cyrus mail system - common files
 Cyrus is an IMAP server designed to handle massive quantities of mail,
 with a number of features not found in other IMAP implementations,
 including support for:
  - running the daemon without root privileges;
  - POP3 and NNTP in addition to plain IMAP;
  - CalDAV and CardDAV;
  - secure IMAP using SSL;
  - server-side filtering with Sieve;
  - mail users without login accounts;
  - simple mail quotas;
  - virtual domains;
  - IPv6.
 .
 Cyrus doesn't support reading from and storing mail in the
 standard mail spool. It stores mail in a separate directory in its
 own MH-like format.
 .
 This package contains the common files needed by the other Cyrus
 components. The cyrus-imapd and/or cyrus-pop3d packages are needed
 to enable IMAP and POP3 support respectively. cyrus-murder can be
 used to enable IMAP, POP3 and LMTP proxying. cyrus-replication
 can be used to provide server replication between two imap servers.

Package: cyrus-doc
Architecture: all
Section: doc
Pre-Depends: dpkg (>= 1.17.14~),
             ${misc:Pre-Depends}
Depends: ${misc:Depends}
Description: Cyrus mail system - documentation files
 Cyrus is an IMAP server designed to handle massive quantities of mail,
 with a number of features not found in other IMAP implementations,
 including support for:
  - running the daemon without root privileges;
  - POP3 and NNTP in addition to plain IMAP;
  - CalDAV and CardDAV;
  - secure IMAP using SSL;
  - server-side filtering with Sieve;
  - mail users without login accounts;
  - simple mail quotas;
  - virtual domains;
  - IPv6.
 .
 This package contains the documentation for the Cyrus IMAPd suite.
 .
 For more information, please see the cyrus-common package.

Package: cyrus-imapd
Architecture: any
Section: mail
Pre-Depends: dpkg (>= 1.17.14~),
             ${misc:Pre-Depends}
Depends: cyrus-common (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Provides: imap-server
Conflicts: imap-server
Description: Cyrus mail system - IMAP support
 Cyrus is an IMAP server designed to handle massive quantities of mail,
 with a number of features not found in other IMAP implementations,
 including support for:
  - running the daemon without root privileges;
  - POP3 and NNTP in addition to plain IMAP;
  - CalDAV and CardDAV;
  - secure IMAP using SSL;
  - server-side filtering with Sieve;
  - mail users without login accounts;
  - simple mail quotas;
  - virtual domains;
  - IPv6.
 .
 This package contains the IMAP (Internet Mail Access Protocol) portion
 of the Cyrus IMAPd suite.
 .
 For more information, please see the cyrus-common package.

Package: cyrus-pop3d
Architecture: any
Section: mail
Pre-Depends: dpkg (>= 1.17.14~),
             ${misc:Pre-Depends}
Depends: cyrus-common (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Provides: pop3-server
Conflicts: pop3-server
Description: Cyrus mail system - POP3 support
 Cyrus is an IMAP server designed to handle massive quantities of mail,
 with a number of features not found in other IMAP implementations,
 including support for:
  - running the daemon without root privileges;
  - POP3 and NNTP in addition to plain IMAP;
  - CalDAV and CardDAV;
  - secure IMAP using SSL;
  - server-side filtering with Sieve;
  - mail users without login accounts;
  - simple mail quotas;
  - virtual domains;
  - IPv6.
 .
 This package contains the POP3 (Post Office Protocol) portion of the Cyrus
 IMAPd suite.
 .
 For more information, please see the cyrus-common package.

Package: cyrus-admin
Architecture: all
Section: mail
Pre-Depends: dpkg (>= 1.17.14~),
             ${misc:Pre-Depends}
Depends: cyrus-common,
         libcyrus-imap-perl (>= ${binary:Version}),
         ${misc:Depends},
         ${perl:Depends}
Suggests: sasl2-bin
Description: Cyrus mail system - administration tools
 This package provides the administrative tools for the Cyrus IMAPd suite.
 It contains the cyradm tool which can be used to administer
 both local and remote Cyrus mail systems.  It also contains sieveshell
 and its deprecated cousin installsieve, which can be used to manage
 sieve scripts.
 .
 For more information, please see the cyrus-common package.

Package: cyrus-murder
Section: mail
Architecture: any
Pre-Depends: dpkg (>= 1.17.14~),
             ${misc:Pre-Depends}
Depends: cyrus-common (= ${binary:Version}),
         cyrus-imapd (= ${binary:Version}),
         cyrus-pop3d (= ${binary:Version}),
         cyrus-clients (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: Cyrus mail system - proxies and aggregator
 This package contains the Cyrus IMAPd suite murder aggregator system,
 i.e. IMAP, POP3  and LMTP proxies, and the mupdate mailbox master daemon.
 It allows for cluster setups where there are many backend Cyrus spools and
 frontend proxy servers.
 .
 For more information, please see the cyrus-common package.

Package: cyrus-replication
Section: mail
Architecture: any
Pre-Depends: dpkg (>= 1.17.14~),
             ${misc:Pre-Depends}
Depends: cyrus-common (= ${binary:Version}),
         cyrus-imapd (= ${binary:Version}) | cyrus-pop3d (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: Cyrus mail system - replication
 This package contains the Cyrus IMAPd suite replication system.
 It allows the replication of the mail spool between two imap or pop servers.
 .
 For more information, please see the cyrus-common package.

Package: cyrus-nntpd
Architecture: any
Section: mail
Pre-Depends: dpkg (>= 1.17.14~),
             ${misc:Pre-Depends}
Depends: cyrus-common (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Provides: news-transport-system
Conflicts: news-transport-system
Description: Cyrus mail system - NNTP support
 This package contains the NNTP (Network News Transfer Protocol) portion of
 the Cyrus IMAPd suite.
 .
 For more information, please see the cyrus-common package.

Package: cyrus-caldav
Architecture: any
Section: mail
Pre-Depends: dpkg (>= 1.17.14~),
             ${misc:Pre-Depends}
Depends: cyrus-common (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Conflicts: cyrus-caldav-2.4
Replaces: cyrus-caldav-2.4
Description: Cyrus mail system - CalDAV and CardDAV support
 This package contains the CalDAV and CardDAV portion of the Cyrus
 IMAPd suite.
 .
 For more information, please see the cyrus-common package.

Package: cyrus-clients
Architecture: any
Section: mail
Pre-Depends: dpkg (>= 1.17.14~),
             ${misc:Pre-Depends}
Depends: ${misc:Depends},
         ${shlibs:Depends}
Description: Cyrus mail system - test clients
 This package contains client tools to test the Cyrus IMAPd suite.
 It contains the mupdatetest, sivtest, smtptest, lmtptest,
 imtest and pop3test tools which can be used to interactively talk to
 a mupdate, Sieve, SMTP, LMTP, IMAP or POP3 server.
 The clients are fully SASL-enabled for authentication.
 .
 For more information, please see the cyrus-common package.

Package: cyrus-dev
Architecture: any
Section: devel
Pre-Depends: dpkg (>= 1.17.14~),
             ${misc:Pre-Depends}
Depends: cyrus-common (= ${binary:Version}),
         libcyrus-imap-perl (>= ${binary:Version}),
         libsasl2-dev (>= 2.1.9),
         ${misc:Depends}
Description: Cyrus mail system - developer files
 This package contains header files and the static library needed
 to develop IMAP applications that interface with the Cyrus IMAPd suite.
 .
 For more information, please see the cyrus-common package.

Package: libcyrus-imap-perl
Architecture: any
Pre-Depends: dpkg (>= 1.17.14~),
             ${misc:Pre-Depends}
Depends: ${misc:Depends},
         ${perl:Depends},
         ${shlibs:Depends}
Section: perl
Description: Interface to Cyrus imap client imclient library
 The Cyrus::IMAP module provides an interface to the Cyrus imclient
 library.  These are primarily useful for implementing cyradm operations
 within a Perl script; there are easier ways to implement general client
 operations, although they may be more limited in terms of authentication
 options when talking to a Cyrus imapd.
 .
 The modules that compose Cyrus::SIEVE are also included, but they are
 undocumented upstream.
 .
 For more information, please see the cyrus-common package.
